<template>
  <header class="header">
    <div class="header-logo">
      <!-- <a href="/">
        <img src="../../assets/img/logo_socializer.svg">
      </a> -->
        <router-link to="/" class="nav-link">
                 <img src="../assets/img/logo_socializer.svg">
            </router-link>
    </div>

    <div class="header-menu">
      <nav class="menu-wrapper">
        <ul class="nav">
          <li class="nav-item">
            <!-- <a href="#" class="nav-link">Features</a> -->
              <router-link to="/dashboard" class="nav-link">
              <a>Hello, {{ currentUser.firstName }} !</a>
              </router-link>
          </li>
          <li class="nav-item">
            <router-link to="/logout" class="nav-link btn btn-rounded btn-transparent btn-border--blue">
              Logout
            </router-link>
          </li>
        </ul>
      </nav>
    </div>
  </header>
</template>

<script>
import { mapGetters } from 'vuex'
import { Slide } from 'vue-burger-menu'  // import the CSS transitions you wish to use, in this case we are using `Slide`
import sidenav from './Sidenav'

export default {
    name: 'Navbar',
    computed: {
        ...mapGetters({ currentUser: 'currentUser' })
    }
}





</script>

<style scoped>
</style>






